org.omg.CORBA

## Interface ARG_OUT

    public interface ARG_OUT

A constant that signifies an "output" argument to an invocation, meaning that the argument is being passed from the server to the client. `ARG_OUT.value` is one of the possible values used to indicate the direction in which a parameter is being passed during a dynamic invocation using the Dynamic Invocation Interface (DII).

The code fragment below shows a typical usage:

      ORB orb = ORB.init(args, null);
      org.omg.CORBA.NamedValue nv = orb.create_named_value(
            "argumentIdentifier", myAny, org.omg.CORBA.ARG_OUT.value);

Since:
  JDK1.2
See Also:
  `NamedValue`

### Field Summary

Fields
`static int` `value` The constant value indicating an output argument.

### Field Detail

#### value

    static final int value

The constant value indicating an output argument.

See Also:
  Constant Field Values